Package org.zkoss.zul

## Class SimpleXYZModel

- java.lang.Object
- - org.zkoss.zul.AbstractChartModel
  - - org.zkoss.zul.SimpleXYModel
    - - org.zkoss.zul.SimpleXYZModel

- All Implemented Interfaces:
    `java.io.Serializable`, `ChartModel`, `XYModel`, `XYZModel`

      public class SimpleXYZModel
      extends SimpleXYModel
      implements XYZModel

  A XYZ data model implementation of `XYZModel`. A XYZ model is an N series of (X, Y, Z) data objects .
  Since:
    3.5.0
  Author:
    henrichen
  See Also:
    `XYModel`, `Chart`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zul.SimpleXYModel

      `SimpleXYModel.XYPair`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zul.SimpleXYModel

      `_seriesList, _seriesMap`

    - ### Fields inherited from class org.zkoss.zul.AbstractChartModel

      `_listeners`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleXYZModel()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y)` | Not supported since we need not only x, y, but also z information.
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, int index)` | Not supported since we need not only x, y, but also z information.
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, java.lang.Number z)` | Append an (x,y,z) into a series.
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, java.lang.Number z, int index)` | Add an (x,y,z) into a series at the specified index.
    `java.lang.Number` | `getZ​(java.lang.Comparable<?> series, int index)` | Get Z value of a specified series and data index.
    `void` | `removeValue​(java.lang.Comparable<?> series, int index)` | Remove (x,y) value of a specified series and data index.
    `void` | `setValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, int index)` | Not supported since we need not only x, y, but also z information.
    `void` | `setValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, java.lang.Number z, int index)` | Replace an (x,y,z) into a series at the specified index.

    - ### Methods inherited from class org.zkoss.zul.SimpleXYModel

      `clear, clone, getDataCount, getSeries, getSeries, getX, getY, isAutoSort, removeSeries, setAutoSort`

    - ### Methods inherited from class org.zkoss.zul.AbstractChartModel

      `addChartDataListener, fireEvent, removeChartDataListener`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

    - ### Methods inherited from interface org.zkoss.zul.XYModel

      `clear, getDataCount, getSeries, getSeries, getX, getY, isAutoSort, removeSeries, setAutoSort`

- - ### Constructor Detail

    - #### SimpleXYZModel

          public SimpleXYZModel()

  - ### Method Detail

    - #### addValue

          public void addValue​(java.lang.Comparable<?> series,
                               java.lang.Number x,
                               java.lang.Number y)

      Not supported since we need not only x, y, but also z information.
      Specified by:
        `addValue` in interface `XYModel`
      Overrides:
        `addValue` in class `SimpleXYModel`
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.

    - #### addValue

          public void addValue​(java.lang.Comparable<?> series,
                               java.lang.Number x,
                               java.lang.Number y,
                               int index)

      Not supported since we need not only x, y, but also z information.
      Specified by:
        `addValue` in interface `XYModel`
      Overrides:
        `addValue` in class `SimpleXYModel`
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `index` - the data index.

    - #### addValue

          public void addValue​(java.lang.Comparable<?> series,
                               java.lang.Number x,
                               java.lang.Number y,
                               java.lang.Number z)

      Description copied from interface: `XYZModel`
      Append an (x,y,z) into a series.
      Specified by:
        `addValue` in interface `XYZModel`
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `z` - the z value.

    - #### addValue

          public void addValue​(java.lang.Comparable<?> series,
                               java.lang.Number x,
                               java.lang.Number y,
                               java.lang.Number z,
                               int index)

      Description copied from interface: `XYZModel`
      Add an (x,y,z) into a series at the specified index.
      Specified by:
        `addValue` in interface `XYZModel`
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `z` - the z value.
        `index` - the data index.

    - #### setValue

          public void setValue​(java.lang.Comparable<?> series,
                               java.lang.Number x,
                               java.lang.Number y,
                               int index)

      Not supported since we need not only x, y, but also z information.
      Specified by:
        `setValue` in interface `XYModel`
      Overrides:
        `setValue` in class `SimpleXYModel`
      Parameters:
        `series` - the series
        `x` - the x value
        `y` - the y value
        `index` - the data index

    - #### setValue

          public void setValue​(java.lang.Comparable<?> series,
                               java.lang.Number x,
                               java.lang.Number y,
                               java.lang.Number z,
                               int index)

      Description copied from interface: `XYZModel`
      Replace an (x,y,z) into a series at the specified index.
      Specified by:
        `setValue` in interface `XYZModel`
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `z` - the z value.
        `index` - the data index.

    - #### getZ

          public java.lang.Number getZ​(java.lang.Comparable<?> series,
                                       int index)

      Description copied from interface: `XYZModel`
      Get Z value of a specified series and data index.
      Specified by:
        `getZ` in interface `XYZModel`
      Parameters:
        `series` - the series.
        `index` - the data index.

    - #### removeValue

          public void removeValue​(java.lang.Comparable<?> series,
                                  int index)

      Description copied from interface: `XYModel`
      Remove (x,y) value of a specified series and data index.
      Specified by:
        `removeValue` in interface `XYModel`
      Overrides:
        `removeValue` in class `SimpleXYModel`
      Parameters:
        `series` - the series.
        `index` - the data index.